// do a pretty screenshot (hiding HUD and all)
MPscreenshot = [
    phh = $hidehud
    phs = $hidestats
    phg = $hudgun
    iae = $editing
    hudgun 0
    hidestats 1
    hidehud 1
    gamespeed 10
    if (= $iae 1) [edittoggle] []
    sleep 2 [
        screenshot
        gamespeed 100
        sleep 3 [
            hudgun $phg
            hidestats $phs
            hidehud $phh
            if (= $iae 1) [edittoggle] []
            echo SCREENSHOT made
        ]
    ]
]

// optional direct bind:
bind F9 [MPscreenshot]